Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.bigdecimal
Class BigDecOperatorTable

    java.lang.Object
      com.singularsys.jep.OperatorTable2
          com.singularsys.jep.standard.StandardOperatorTable2
              com.singularsys.jep.bigdecimal.BigDecOperatorTable

All Implemented Interfaces:
  JepComponent, OperatorTableI, java.io.Serializable

    public class BigDecOperatorTable

extends StandardOperatorTable2

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.singularsys.jep.OperatorTable2
`OperatorTable2.BasicOperators, OperatorTable2.OperatorKey, OperatorTable2.PsudoOperators, OperatorTable2.SpecialOperators`

Constructor Summary
`BigDecOperatorTable(java.math.MathContext mc)`
`BigDecOperatorTable(OperatorTable2 oldTable, java.math.MathContext mc)`

Method Summary
`java.math.MathContext` | `getMathContext()`
`protected void` | `setBasicPfmcs()` Sets the standard set of pfmc's for basic operators.
`protected void` | `setBDPfmcs()`
`void` | `setMathContext(java.math.MathContext mc)`

Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable2
`init, setPsudoPfmcs, setSpecialPfmcs`

Methods inherited from class com.singularsys.jep.OperatorTable2
`addOperator, addOperator, appendOperator, entrySet, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getKey, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BigDecOperatorTable

    public BigDecOperatorTable(java.math.MathContext mc)

### BigDecOperatorTable

    public BigDecOperatorTable(OperatorTable2 oldTable,
                               java.math.MathContext mc)

Parameters:
  `oldTable` -

Method Detail

### setBasicPfmcs

    protected void setBasicPfmcs()

  Description copied from class: `StandardOperatorTable2`
  Sets the standard set of pfmc's for basic operators. Subclasses can override this method to change or prevent building of these pfmcs.

  Overrides:
    `setBasicPfmcs` in class `StandardOperatorTable2`

### setBDPfmcs

    protected void setBDPfmcs()

### getMathContext

    public java.math.MathContext getMathContext()

### setMathContext

    public void setMathContext(java.math.MathContext mc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep